%global momorel 1

Summary: a set of bash-scripts for authoring Video-DVDs
Name:    dvdwizard
Version: 0.5.1
Release: %{momorel}m%{?dist}
Group:   Applications/Multimedia
License: GPL
URL:     http://dvdwizard.wershofen.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 00a4d1fbaba191591f92e07e52be0328
Requires: dvdauthor ffmpeg ImageMagick mjpegtools transcode
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
The general idea behind dvdwizard was to automate the creation of a full-featured Video-DVD structure from a given MPEG-file and make it as easy as possible. On the other hand, it should be flexible enough to let the more experienced user adjust the looks of the DVD to his or her liking.

The result is a set of bash scripts, which act as a command-line frontend to dvdauthor , which is one of the two core applications within dvdwizard. dvdauthor creates a Video-DVD-compliant directory structure, suitable to be watched directly with a software DVD-Player like Xine or to be burned on DVD and watched on TV with a hardware player.

The other core application is ImageMagick , which offers a wast variety of tools to create and manipulate graphical data. Within dvdwizard, ImageMagick is used to create menu backgrounds and button masks without any user interaction.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}
for script in dvdwizard mk_vmgm mk_vtsm mk_vtsm_lang mk_vtsm_info dvdwizardrc chaptercheck dvdcpics dvdtguess mpgprobe txt2png; do
    install -m 755 ${script} %{buildroot}%{_bindir}
done
install -m 644 dvdwizard.conf.sample %{buildroot}%{_sysconfdir}/dvdwizard.conf


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG CONTRIB COPYING README TODO TOOLS
%{_bindir}/*
%config  %{_sysconfdir}/dvdwizard.conf

%changelog
* Wed Apr 18 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5.1-1m)
- import to Momonga
